#!/usr/bin/python
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************

#######################################################
# Name: globalProps.py
# contains the globals to be used by the python files
#######################################################

def init():

    # inputs
    global SCRIPT_NAME
    global AGENT_HOME
    global UCDSERVER
    global AUTH_TOKEN
    global APPLICATION_ID
    global ENVIRONMENT_ID
    global COMPONENT_ID
    global AGENT_ID
    global WAS_NODE_NAME
    
    # internal
    global SCRIPT_FOLDER
    global LOCALSERVERPROPERTYFOLDER
    global bOSWindows
    global UCDCLIENT_EXE
    global LOCALSERVERPROPERTYFILE
    global bDEBUGFLAG
    global bOSWINDOWS
    
    # initialise
    SCRIPT_NAME = ""
    SCRIPT_FOLDER = ""
    AGENT_HOME = ""
    UCDSERVER = ""
    AUTH_TOKEN = ""
    APPLICATION_ID = ""
    ENVIRONMENT_ID = ""
    COMPONENT_ID = ""
    AGENT_ID = ""
    WAS_NODE_NAME = ""
    
    bOSWindows = ""
    LOCALSERVERPROPERTYFOLDER = ""
    LOCALSERVERPROPERTYFILE = ""
    UCDCLIENT_EXE = ""
    bDEBUGFLAG = "False"
    bOSWINDOWS = "False"
    

