#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************

########################################################
#
# Script : ReplaceExtraSlash.sh
# Purpose :
# - UCD update property plugin adding extra back slash cause the LDAP connection failure
# 
#
########################################################
echo "Delete extra back slashes added by UCD property"
sed -i s%\\\\\\\\\\\\%\\\\_KEEP_THIS_BACK_SPLASH_%g Custom_LDAPSecurity.properties
sed -i s%\\\\%%g Custom_LDAPSecurity.properties
sed -i s%_KEEP_THIS_BACK_SPLASH_%\\\\%g Custom_LDAPSecurity.properties