#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************
#ParentDir=`dirname $0`
CurrentWorkPath=`pwd -P`
. /etc/env.properties

# get credentials
userCreds=$AUTO_PREP/UserParameters/userCreds.properties
. $userCreds

echo Create_DB2_DIR=$CurrentWorkPath >> /etc/env.properties

su - $ibmQseInst_User -c "sh $CurrentWorkPath/createtables.sh"
# process su command response
if [ $? -ne 0 ]; then
  echo "failed to create database"
  exit 1
else
  echo "successfully created database"
fi

