#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************


os=`uname`

case $os in
    SunOS)
    output=`isainfo -v |grep 64` 
;; 
    Linux)
    output=`uname -m`
    ;;
    HP-UX)
    output=`getconf KERNEL_BITS` 
    ;;
    AIX)
    output=`getconf -a |grep KERN |grep 64` 
    ;;
    *)
    echo "This is not a supported platform, please contact automation engineer"
    ;;
esac

case $output in
        *64*)
	  bit=64
         ;;
         *)
          bit=32
         ;;
esac
echo $os$bit;
